Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.graph
Class ParentAttribute

    java.lang.Object
      de.grogra.graph.Attribute<T>
          de.grogra.graph.ObjectAttribute
              de.grogra.graph.ParentAttribute

All Implemented Interfaces:
  ChangeBoundaryListener, EdgeChangeListener, Described, KeyDescription, java.lang.Comparable

    public class ParentAttribute

extends ObjectAttribute
implements ChangeBoundaryListener, EdgeChangeListener

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.ObjectAttribute
`ObjectAttribute.IdentityAccessor`

Field Summary
`static ParentAttribute` | `TREE`

Fields inherited from class de.grogra.graph.Attribute
`ATTRIBUTE_0, attrType, quantity`

Fields inherited from interface de.grogra.graph.ChangeBoundaryListener
`ATTRIBUTE_PRIORITY, TOPOLOGY_PRIORITY, UPDATE_PRIORITY`

Fields inherited from interface de.grogra.util.Described
`ACCELERATOR_KEY, ICON, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, TITLE`

Constructor Summary
`ParentAttribute(EdgePattern pattern, java.lang.String name)`

Method Summary
`void` | `beginChange(GraphState gs)`
`boolean` | `contains(java.lang.Object object, boolean asNode, GraphState gs)`
`void` | `edgeChanged(java.lang.Object source, java.lang.Object target, java.lang.Object edgeSet, GraphState gs)`
`void` | `endChange(GraphState gs)`
`protected java.lang.Object` | `getDerived(java.lang.Object object, boolean asNode, java.lang.Object placeIn, GraphState gs)`
`int` | `getPriority()`
`boolean` | `isDerived()` Determines whether this is a derived attribute or not.

Methods inherited from class de.grogra.graph.ObjectAttribute
`get, set, setDerived, setObject, setSubfield, toType, valueOf`

Methods inherited from class de.grogra.graph.Attribute
`compareTo, find, forName, getAttributeState, getDescription, getId, getKey, getQuantity, getSimpleName, getType, hashCode, initializeI18N, initializeName, isContained, isWritable, setAttributeState, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TREE

    public static final ParentAttribute TREE

Constructor Detail

### ParentAttribute

    public ParentAttribute(EdgePattern pattern,
                           java.lang.String name)

Method Detail

### beginChange

    public void beginChange(GraphState gs)

  Specified by:
    `beginChange` in interface `ChangeBoundaryListener`

### contains

    public boolean contains(java.lang.Object object,
                            boolean asNode,
                            GraphState gs)

### edgeChanged

    public void edgeChanged(java.lang.Object source,
                            java.lang.Object target,
                            java.lang.Object edgeSet,
                            GraphState gs)

  Specified by:
    `edgeChanged` in interface `EdgeChangeListener`

### endChange

    public void endChange(GraphState gs)

  Specified by:
    `endChange` in interface `ChangeBoundaryListener`

### getDerived

    protected java.lang.Object getDerived(java.lang.Object object,
                                          boolean asNode,
                                          java.lang.Object placeIn,
                                          GraphState gs)

  Overrides:
    `getDerived` in class `ObjectAttribute`

### getPriority

    public int getPriority()

  Specified by:
    `getPriority` in interface `ChangeBoundaryListener`

### isDerived

    public boolean isDerived()

  Description copied from class: `Attribute`
  Determines whether this is a derived attribute or not.

  Overrides:
    `isDerived` in class `Attribute`
  Returns:
    `true` iff this is a derived attribute

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD